/**
* System Info App
* Implementing an App named system info to show nas system information.
*/
var SystemInfoApp = SystemInfoApp || {};  //Define System Info App namespace.
/**
*Constructor UNAS App
*/
SystemInfoApp.App = function () {
    this.id = 'System Information';
    this.name = 'System Information';
    this.version = '6.1.10';
    this.active = false;
    this.menuIcon = '/apps/systeminfo/images/logo.png?v=6.1.10&';
    this.shortcutIcon = '/apps/systeminfo/images/logo.png?v=6.1.10&';
    this.entryUrl = '/apps/systeminfo/systeminfo.html?v=6.1.10&';
    //this.entryHelpUrl = '/apps/systeminfo/systeminfo_help.html?v=6.1.10&';
    var self = this;
    this.SystemInfoAppWindow = function () { //create app window
        if(UNAS.CheckAppState('System Information')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'SystemInfoAppWindow',
            title: UNAS._('System Information'),
            icon: '/apps/systeminfo/images/logo_small.png?v=6.1.10&',
            width: 1000,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            contentURL: '/apps/systeminfo/systeminfo.html?v=6.1.10&',
            require: {  css: ['/apps/systeminfo/css/systeminfo.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("System Information",'SystemInfoAppWindow')}
        });
    };
    this.SystemInfoUninstall = function () {
        UNAS.RemoveDesktopShortcut('System Information');
        UNAS.RemoveMenu('System Information');
        UNAS.RemoveAppFromGroups('System Information', 'ControlPanel');
        //UNAS.RemoveAppFromGroups('System Information', 'Help');
        UNAS.RemoveAppFromApps('System Information');
    };
    new UNAS.Menu('UNAS_ControlPanel_Information_Menu', this.name, this.menuIcon, 'System Information', '', this.SystemInfoAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'System Information', this.SystemInfoAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type': 'Information', 'Location': 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type': 'Information', 'Location': 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('System Information', UNAS._('System Information')); //translate menu
        //UNAS.SetShortcutTitle('System Information', UNAS._('System Information'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('SystemInfoAppWindow', UNAS._('System Information'));
        }
    };
    UNAS.LoadTranslation('/apps/systeminfo/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.SystemInfoAppWindow, this.SystemInfoUninstall);
};

new SystemInfoApp.App();
